﻿:root {
    --primary: #6f7b4b;
    --secondary: #10a8c0;
    --light: #F8F8F8;
    --dark: #252525;
    --whiteco: #ffffff;
}
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

input:invalid {
    border-color: #dc2626;
}

input:valid {
    border-color: #22c55e;
}
.disabled-div {
    pointer-events: none;
    opacity: 0.5;
    /* Optional: Add additional styles to convey disabled state */
    background-color: #f2f2f2;
    color: #999;
    cursor: not-allowed;
}

.loading:after {
    content: ' .';
    animation: dots 1s steps(5, end) infinite;
}

.dx-loadpanel-message {
    width: 88px;
    height: 12px;
    --_g: no-repeat radial-gradient(farthest-side,#000 94%,#0000);
    background: var(--_g) 25% 0, var(--_g) 75% 0;
    background-size: 12px 12px;
    position: relative;
    animation: l24-0 1s linear infinite;
}

.tab-show {
    display: inline;
}

.tab-hide {
    display: none;
}

.disabled {
    pointer-events: none;
    opacity: 0.4;
    cursor: not-allowed;
}
/*** Navbar ***/
.bgc-primary {
    background-color: var(--primary);
}

.nav-primary {
    background-color: var(--primary);
}

.nav-secondary {
    background-color: var(--secondary);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.navbar .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 15px 0;
    color: #FFFFFF;
    font-weight: 500;
    outline: none;
}

    .navbar .navbar-nav .nav-link:hover,
    .navbar .navbar-nav .nav-link.active {
        color: var(--dark);
    }

.navbar.sticky-top {
    top: -100px;
    transition: .5s;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 8px 0;
    }

    .navbar .navbar-nav {
        margin-top: 8px;
        border-top: 1px solid rgba(256, 256, 256, .1)
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        transition: .5s;
        opacity: 0;
    }

    .navbar .nav-item:hover .dropdown-menu {
        transform: rotateX(0deg);
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}
